Loading...
Searching...
No Matches
KeyFrame.cpp File Reference

Source file for the Keyframe class. More...

`#include "KeyFrame.h"`
`#include "Exceptions.h"`
`#include <algorithm>`
`#include <functional>`
`#include <utility>`
`#include <numeric>`
`#include <cassert>`
`#include <cmath>`
`#include <iostream>`
`#include <iomanip>`

Go to the source code of this file.

## Namespaces

namespace | openshot
| This namespace is the default namespace for all code in the openshot library.

## Functions

double | openshot::InterpolateBetween (Point const &left, Point const &right, double target, double allowed_error)
| Interpolate two points using the right Point's interpolation method.
double | openshot::InterpolateBezierCurve (Point const &left, Point const &right, double const target, double const allowed_error)
| Bezier interpolation between two points.
double | openshot::InterpolateLinearCurve (Point const &left, Point const &right, double const target)
| Linear interpolation between two points.
bool | openshot::IsPointBeforeX (Point const &p, double const x)
| Check if the X coordinate of a given Point is lower than a given value.
template<typename Check>
int64_t | SearchBetweenPoints (Point const &left, Point const &right, int64_t const current, Check check)

## Detailed Description

Source file for the Keyframe class.

Author
  Jonathan Thomas jonat.nosp@m.han@.nosp@m.opens.nosp@m.hot..nosp@m.org

License

Definition in file KeyFrame.cpp.

## Function Documentation

## SearchBetweenPoints()

template<typename Check>

int64_t SearchBetweenPoints | ( | Point const & | left,
|  | Point const & | right,
|  | int64_t const | current,
|  | Check | check )

Definition at line 99 of file KeyFrame.cpp.